/****************************************************************************
 *
 * @file	ct.h
 * @brief	This is ct driver header file for S1C17656.
 *
 * @par		Copyright:
 *			Copyright(C) SEIKO EPSON CORPORATION 2014-2014. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 2014/08/20	1.00
 *				- First revision
 *
 ***************************************************************************/

#ifndef _CT_H
#define _CT_H

extern void ResetCTCount( void );
extern void StartCT(void);
extern void StopCT(void);
extern int  InitCTInt(unsigned char intLevel);
extern int  EnableCTInt(unsigned char intSelect);
extern int  DisableCTInt(unsigned char intSelect);
extern int  isCTInt(unsigned char intType);
extern int  ClrCTIntFlg(unsigned char intType);

/// End status
#define CT_SET_NG				( 0 )			///< Failed
#define CT_SET_OK				( 1 )			///< Success

/// Interrupt level select
#define CT_INTLV_0				( 0 )			///< interrupt level 0
#define CT_INTLV_1				( 1 )			///< interrupt level 1
#define CT_INTLV_2				( 2 )			///< interrupt level 2
#define CT_INTLV_3				( 3 )			///< interrupt level 3
#define CT_INTLV_4				( 4 )			///< interrupt level 4
#define CT_INTLV_5				( 5 )			///< interrupt level 5
#define CT_INTLV_6				( 6 )			///< interrupt level 6
#define CT_INTLV_7				( 7 )			///< interrupt level 7

/// CT interrupt select
#define CT_INT_1HZ				( 0x01 )		///< CT interrupt 1Hz
#define CT_INT_2HZ				( 0x02 )		///< CT interrupt 2Hz
#define CT_INT_8HZ				( 0x04 )		///< CT interrupt 8Hz
#define CT_INT_32HZ			( 0x08 )		///< CT interrupt 32Hz
#define CT_INT_ALL				( 0x0F )		///< CT interrupt all

#endif	// _CT_H
