/***************************************************************************
 *
 * @file	itc_reg.h
 * @brief	This is Bit field for ITC register.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2013-2014. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 22 Oct, 2013	1.00
 *				- First revision.
 *			- 27 Feb, 2014	1.0a
 *				- Modify.
 *
 **************************************************************************/

#ifndef ITC_REG_H__
#define ITC_REG_H__

#ifdef	__cplusplus
extern "C" {
#endif


/// INTn Interrupt Level SET up Register.
typedef union ITC_LVX_REG_TAG{
	unsigned short			reg;
	struct ITC_LVX_REG_BIT_TAG{
		unsigned short		ILV_LOW		: 3;
		unsigned short		reserved_1	: 5;
		unsigned short		ILV_HIGH	: 3;
		unsigned short		reserved_2	: 5;
	} bit;
	unsigned char byte_reg[2];
} ITC_LVX_REG;


#ifdef __cplusplus
}
#endif

#endif	// ITC_REG_H__


