/***************************************************************************
 *
 * @file	misc_reg.h
 * @brief	This is Bit field for MISC register.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2013. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 22 Oct, 2013	1.00
 *				- First revision.
 *
 **************************************************************************/

#ifndef	MISC_REG_H__
#define	MISC_REG_H__

#ifdef	__cplusplus
extern "C" {
#endif


/// Debug Mode Control Register1.
typedef union MISC_DMODE1_REG_TAG {
	unsigned char			reg;
	struct MISC_DMODE1_REG_BIT_TAG {
		 unsigned short		reserved_1	: 1;
		 unsigned short		DBRUN1		: 1;
		 unsigned short		reserved_2	: 6;
	} bit;
} MISC_DMODE1_REG;

/// Debug Mode Control Register2.
typedef union MISC_DMODE2_REG_TAG {
	unsigned short			reg;
	struct MISC_DMODE2_REG_BIT_TAG {
		 unsigned short		DBRUN2		: 1;
		 unsigned short		reserved_1	: 15;
	} bit;
	unsigned char byte_reg[2];
} MISC_DMODE2_REG;

/// MISC ProtectRegister.
typedef union MISC_PROT_REG_TAG {
	unsigned short			reg;
} MISC_PROT_REG;

/// IRAM Size Select Register.
typedef union MISC_IRAMSZ_REG_TAG {
	unsigned short			reg;
	struct MISC_IRAMSZ_REG_BIT_TAG {
		 unsigned short		IRAMSZ		: 3;
		 unsigned short		reserved_1	: 1;
		 unsigned short		IRAMACTSZ	: 3;
		 unsigned short		reserved_2	: 1;
		 unsigned short		DBADR		: 1;
		 unsigned short		reserved_3	: 7;
	} bit;
	unsigned char byte_reg[2];
} MISC_IRAMSZ_REG;

/// Vector Table Address Low Register.
/// Vector Table Address High Register.
typedef union MISC_TTBR_REG_TAG {
	unsigned long reg;
	struct MISC_TTBR_REG_BIT_TAG {
		unsigned long TTBR       : 24;
		unsigned long reserved_1 : 8;
	} bit;
} MISC_TTBR_REG;

/// MISC PSR Register.
typedef union MISC_PSR_REG_TAG {
	unsigned short			reg;
	struct MISC_PSR_REG_BIT_TAG {
		 unsigned short		PSRN		: 1;
		 unsigned short		PSRZ		: 1;
		 unsigned short		PSRV		: 1;
		 unsigned short		PSRC		: 1;
		 unsigned short		PSRIE		: 1;
		 unsigned short		PSRIL		: 3;
		 unsigned short		reserved_1	: 8;
	} bit;
	unsigned char byte_reg[2];
} MISC_PSR_REG;


#ifdef __cplusplus
}
#endif

#endif	// MISC_REG_H__


