/***************************************************************************
 *
 * @file	wdt_reg.h
 * @brief	This is Bit field for WDT register.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2013. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 22 Oct, 2013	1.00
 *				- First revision.
 *
 **************************************************************************/

#ifndef WDT_REG_H__
#define WDT_REG_H__

#ifdef	__cplusplus
extern "C" {
#endif


/// Watchdog Timer Control Register.
typedef union WDT_CTL_REG_TAG {
	unsigned char			reg;
	struct WDT_CTL_REG_BIT_TAG {
		unsigned short		WDTRUN		: 4;
		unsigned short		WDTRST		: 1;
		unsigned short		reserved_1	: 3;
	} bit;
} WDT_CTL_REG;

/// Watchdog Timer Status Register.
typedef union WDT_ST_REG_TAG {
	unsigned char			reg;
	struct WDT_ST_REG_BIT_TAG {
		unsigned short		WDTST		: 1;
		unsigned short		WDTMD		: 1;
		unsigned short		reserved_1	: 6;
	} bit;
} WDT_ST_REG;


#ifdef __cplusplus
}
#endif

#endif	// WDT_REG_H__


