/***************************************************************************
 *
 * @file	svd_reg.h
 * @brief	This is Bit field for SVD register.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2013. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 22 Oct, 2013	1.00
 *				- First revision.
 *
 **************************************************************************/

#ifndef	SVD_REG_H__
#define	SVD_REG_H__

#ifdef	__cplusplus
extern "C" {
#endif


/// SVD Clock Control Register.
typedef union SVD_CLK_REG_TAG {
	unsigned char			reg;
	struct SVD_CLK_REG_BIT_TAG {
		unsigned short		CLKEN		: 1;
		unsigned short		reserved_1	: 1;
		unsigned short		CLKSRC		: 2;
		unsigned short		reserved_2	: 4;
	} bit;
} SVD_CLK_REG;

/// SVD Enable Register.
typedef union SVD_EN_REG_TAG {
	unsigned char			reg;
	struct SVD_EN_REG_BIT_TAG {
		unsigned short		SVDEN		: 1;
		unsigned short		SVDMD		: 3;
		unsigned short		SVDRE		: 4;
	} bit;
} SVD_EN_REG;

/// SVD Compare Voltage Register.
typedef union SVD_CMP_REG_TAG {
	unsigned char			reg;
	struct SVD_CMP_REG_BIT_TAG {
		unsigned short		SVDC		: 5;
		unsigned short		SVDSC		: 2;
		unsigned short		VDSEL		: 1;
	} bit;
} SVD_CMP_REG;

/// SVD Detection Result Register.
typedef union SVD_RSLT_REG_TAG {
	unsigned char			reg;
	struct SVD_RSLT_REG_BIT_TAG {
		unsigned short		SVDDT		: 1;
		unsigned short		reserved_1	: 7;
	} bit;
} SVD_RSLT_REG;

/// SVD Interrupt Mask Result Register.
typedef union SVD_IMSK_REG_TAG {
	unsigned char			reg;
	struct SVD_IMSK_REG_BIT_TAG {
		unsigned short		SVDIE		: 1;
		unsigned short		reserved_1	: 7;
	} bit;
} SVD_IMSK_REG;

/// SVD Interrupt Flag Result Register.
typedef union SVD_IFLG_REG_TAG {
	unsigned char			reg;
	struct SVD_IFLG_REG_BIT_TAG {
		unsigned short		SVDIF		: 1;
		unsigned short		reserved_1	: 7;
	} bit;
} SVD_IFLG_REG;


#ifdef __cplusplus
}
#endif

#endif	// SVD_REG_H__


