/***************************************************************************
 *
 * @file	mux_reg.h
 * @brief	This is Bit field for PORT MUX register.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2013-2014. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 22 Oct, 2013	1.00
 *				- First revision.
 *			- 27 Feb, 2014	1.0a
 *				- Modify.
 *
 **************************************************************************/

#ifndef MUX_REG_H__
#define MUX_REG_H__

#ifdef	__cplusplus
extern "C" {
#endif


/// PX Port Function Select Register.
typedef union PX0_X3PMUX_REG_TAG {
	unsigned char			reg;
	struct PX0_X3PMUX_REG_BIT_TAG {
		unsigned short		PX0MUX	: 2;
		unsigned short		PX1MUX	: 2;
		unsigned short		PX2MUX	: 2;
		unsigned short		PX3MUX	: 2;
	} bit;
} PX0_X3PMUX_REG;

/// PX Port Function Select Register.
typedef union PX4_X7PMUX_REG_TAG {
	unsigned char			reg;
	struct PX4_X7PMUX_REG_BIT_TAG {
		unsigned short		PX4MUX	: 2;
		unsigned short		PX5MUX	: 2;
		unsigned short		PX6MUX	: 2;
		unsigned short		PX7MUX	: 2;
	} bit;
} PX4_X7PMUX_REG;


#ifdef __cplusplus
}
#endif

#endif	// MUX_REG_H__


