/***************************************************************************
 *
 * @file	snd_reg.h
 * @brief	This is Bit field for SND register.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2013. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 22 Oct, 2013	1.00
 *				- First revision.
 *
 **************************************************************************/

#ifndef	SND_REG_H__
#define	SND_REG_H__

#ifdef	__cplusplus
extern "C" {
#endif


/// SND Clock Control Register.
typedef union SND_CLK_REG_TAG {
	unsigned char			reg;
	struct SND_CLK_REG_BIT_TAG {
		unsigned short		SNDCLKE		: 1;
		unsigned short		reserved_1	: 7;
	} bit;
} SND_CLK_REG;

/// SND Control Register.
typedef union SND_CTL_REG_TAG {
	unsigned char			reg;
	struct SND_CTL_REG_BIT_TAG {
		unsigned short		BZEN		: 1;
		unsigned short		reserved_1	: 1;
		unsigned short		BZMD		: 2;
		unsigned short		BZTM		: 2;
		unsigned short		reserved_2	: 2;
	} bit;
} SND_CTL_REG;

/// Buzzer Frequency Control Register.
typedef union SND_BZFQ_REG_TAG {
	unsigned char			reg;
	struct SND_BZFQ_REG_BIT_TAG {
		unsigned short		BZFQ		: 3;
		unsigned short		reserved_1	: 5;
	} bit;
} SND_BZFQ_REG;

/// Buzzer Duty Ratio.
typedef union SND_BZDT_REG_TAG {
	unsigned char			reg;
	struct SND_BZDT_REG_BIT_TAG {
		unsigned short		BZDT		: 3;
		unsigned short		reserved_1	: 5;
	} bit;
} SND_BZDT_REG;


#ifdef __cplusplus
}
#endif

#endif	// SND_REG_H__


