/***************************************************************************
 *
 * @file	ct_reg.h
 * @brief	This is Bit field for CT register.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2013. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 22 Oct, 2013	1.00
 *				- First revision.
 *			- 20 Aug, 2014	1.0a
 *				- Modify the error in writing.
 *			- 24 Jul, 2014  1.0b
 *				- Modify the error in writing.
 *
 **************************************************************************/

#ifndef CT_REG_H__
#define CT_REG_H__

#ifdef	__cplusplus
extern "C" {
#endif


/// Clock Timer Control Register.
typedef union CT_CTL_REG_TAG {
	 unsigned char			reg;
	struct CT_CTL_REG_BIT_TAG {
		 unsigned short		CTRUN		: 1;
		 unsigned short		reserved_1	: 3;
		 unsigned short		CTRST		: 1;
		 unsigned short		reserved_2	: 3;
	} bit;
} CT_CTL_REG;

/// Clock Timer Counter Register.
typedef union CT_CNT_REG_TAG {
	 unsigned char			reg;
} CT_CNT_REG;

/// Clock Timer Interrupt Mask Register.
typedef union CT_IMSK_REG_TAG {
	 unsigned char			reg;
	struct CT_IMSK_REG_BIT_TAG {
		 unsigned short		CTIE1		: 1;
		 unsigned short		CTIE2		: 1;
		 unsigned short		CTIE8		: 1;
		 unsigned short		CTIE32		: 1;
		 unsigned short		reserved_1	: 4;
	} bit;
} CT_IMSK_REG;

/// Clock Timer Interrupt Flag Register.
typedef union CT_IFLG_REG_TAG {
	 unsigned char			reg;
	struct CT_IFLG_REG_BIT_TAG {
		 unsigned short		CTIF1		: 1;
		 unsigned short		CTIF2		: 1;
		 unsigned short		CTIF8		: 1;
		 unsigned short		CTIF32		: 1;
		 unsigned short		reserved_1	: 4;
	} bit;
} CT_IFLG_REG;

#ifdef __cplusplus
}
#endif

#endif	// CT_REG_H__


