/****************************************************************************
 *
 * @file	svd.h
 * @brief	This is svd driver header file for S1C1766.
 *
 * @par		Copyright:
 *			Copyright(C) SEIKO EPSON CORPORATION 2014-2014. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 2014/08/20	1.00
 *				- First revision
 *
 ***************************************************************************/
#ifndef SVD_H_
#define SVD_H_

#define SVD_SET_NG				( 0x0 )		///< Fail
#define SVD_SET_OK				( 0x1 )		///< Success

#define SVDENSVDEN_DISABLE		( 0x0 )		///< Disable
#define SVDENSVDEN_ENABLE		( 0x1 )		///< Enable


#define SVD_COMPARE_V_2_0		( 0xe )		///< Comparison voltage reading to set in SVD. 2.0V
#define SVD_COMPARE_V_2_1		( 0xf )		///< Comparison voltage reading to set in SVD. 2.1V
#define SVD_COMPARE_V_2_2		( 0x10)		///< Comparison voltage reading to set in SVD. 2.2V
#define SVD_COMPARE_V_2_3		( 0x11)		///< Comparison voltage reading to set in SVD. 2.3V
#define SVD_COMPARE_V_2_4		( 0x12)		///< Comparison voltage reading to set in SVD. 2.4V
#define SVD_COMPARE_V_2_5		( 0x13)		///< Comparison voltage reading to set in SVD. 2.5V
#define SVD_COMPARE_V_2_6		( 0x14)		///< Comparison voltage reading to set in SVD. 2.6V
#define SVD_COMPARE_V_2_7		( 0x15)		///< Comparison voltage reading to set in SVD. 2.7V
#define SVD_COMPARE_V_2_8		( 0x16)		///< Comparison voltage reading to set in SVD. 2.8V
#define SVD_COMPARE_V_2_9		( 0x17)		///< Comparison voltage reading to set in SVD. 2.9V
#define SVD_COMPARE_V_3_0		( 0x18)		///< Comparison voltage reading to set in SVD. 3.0V
#define SVD_COMPARE_V_3_1		( 0x19)		///< Comparison voltage reading to set in SVD. 3.1V
#define SVD_COMPARE_V_3_2		( 0x1a)		///< Comparison voltage reading to set in SVD. 3.2V

extern	int SetSVDCompVolt(unsigned char select);
extern	void StartSVD(void);
extern	void StopSVD(void);
extern	unsigned char GetSVDResult(void);

#endif // SVD_H_
