/***************************************************************************
 *
 * @file	clg_656_reg.h
 * @brief	This is Bit field for CLG(OSC) register.
 *
 * @par		Copyright:
 *			Copyright (C) SEIKO EPSON CORPORATION 2013-2014. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 22 Oct, 2013	1.00
 *				- First revision.
 *			- 27 Feb, 2014	1.0a
 *				- Modify.
 *
 **************************************************************************/

#ifndef	CLG_REG_H__
#define	CLG_REG_H__

#ifdef	__cplusplus
extern "C" {
#endif


/// CLG System Clock Control Register.
typedef union CLG_SRC_REG_TAG{
	unsigned char			reg;
	struct CLG_SRC_REG_BIT_TAG{
		unsigned short		CLKSRC		: 2;
		unsigned short		reserved_1	: 4;
		unsigned short		OSC3BFSEL	: 2;
	} bit;
} CLG_SRC_REG;

/// CLG Oscillation Control Register.
typedef union CLG_CTL_REG_TAG{
	unsigned char			reg;
	struct CLG_CTL_REG_BIT_TAG {
		unsigned short		reserved_1	: 1;
		unsigned short		OSC1EN		: 1;
		unsigned short		OSC3BEN		: 1;
		unsigned short		reserved_2	: 5;
	} bit;
} CLG_CTL_REG;

/// FOUTX Control Register.
typedef union CLG_FOUTX_REG_TAG{
	unsigned char			reg;
	struct CLG_FOUTX_REG_BIT_TAG {
		unsigned short		FOUTXE		: 1;
		unsigned short		reserved_1	: 1;
		unsigned short		FOUTXSRC	: 2;
		unsigned short		FOUTXD		: 3;
		unsigned short		reserved_2	: 1;
	} bit;
} CLG_FOUTX_REG;

/// Oscillation Stabilization Wait Control Register.
typedef union CLG_WAIT_REG_TAG{
	unsigned char			reg;
	struct CLG_WAIT_REG_BIT_TAG {
		unsigned short		OSC1AWT		: 2;
		unsigned short		reserved_1	: 4;
		unsigned short		OSC3BWT		: 2;
	} bit;
} CLG_WAIT_REG;

/// PCLK Control Register.
typedef union CLG_PCLK_REG_TAG{
	unsigned char			reg;
	struct CLG_PCLK_REG_BIT_TAG {
		unsigned short		PCKEN		: 2;
		unsigned short		reserved_1	: 6;
	} bit;
} CLG_PCLK_REG;

/// CCLK Control Register.
typedef union CLG_CCLK_REG_TAG{
	unsigned char			reg;
	struct CLG_CCLK_REG_BIT_TAG {
		unsigned short		CCLKGR		: 2;
		unsigned short		reserved_1	: 6;
	} bit;
} CLG_CCLK_REG;


#ifdef __cplusplus
}
#endif

#endif	// CLG_656_REG_H__


