/****************************************************************************
 *
 * @file	wdt.h
 * @brief	This is wdt driver header file for S1C17656.
 *
 * @par		Copyright:
 *			Copyright(C) SEIKO EPSON CORPORATION 2014-2014. All rights reserved.
 *
 * @warning -
 *
 * @par		History:
 *			- 2014/08/20	1.00
 *				- First revision
 *
 ***************************************************************************/

#ifndef _WDT_H
#define _WDT_H

extern int InitWDT(unsigned char mode);
extern void StartWDT(void);
extern void StopWDT(void);
extern void ResetWDT(void);
extern int isWDTnmi(void);

/// End Status
#define WDT_SET_NG			( 0 )		///< Failed
#define WDT_SET_OK			( 1 )		///< Success

/// WDT Run/Stop Control
#define WDT_STOP			( 0x0a )	///< stop
#define WDT_RUN			( 0 )		///< run

/// WDT Reset/NMI Mode Control
#define WDT_NMI			( 0 )		///< NMI
#define WDT_RESET			( 1 )		///< reset

/// WDT Interrupt Occurred/Not Occurred
#define WDT_NOTOCCURRED	( 0 )		///< not occurred
#define WDT_OCCURRED		( 1 )		///< occurred

#endif	// _WDT_H
